Bug 1634 - Winbindd panic
Winbindd panic
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.4
x86 Linux
: P3 major
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-19 17:17 UTC by Louis Gaudio
Modified: 2005-08-24 10:18 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Louis Gaudio 2004-08-19 17:17:45 UTC
I am migrating an old NT 4 fileserver to a new Red Hat Enterprise Server 
version 3.0. The samba installation is samba-3.0.4-6.3E. During all initial 
testing we had no issues other than configuration issues which were fixed 
changing the smb.conf file. During the migration the winbind daemon failed with 
the following error:

[2004/08/19 18:37:55, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2004/08/19 18:37:55, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 6 in pid 26177 (3.0.4-6.3E)
  Please read the appendix Bugs of the Samba HOWTO collection
[2004/08/19 18:37:55, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2004/08/19 18:37:55, 0] lib/util.c:smb_panic2(1407)
  PANIC: internal error
[2004/08/19 18:37:55, 0] lib/util.c:smb_panic2(1415)
  BACKTRACE: 26 stack frames:
   #0 winbindd(smb_panic2+0x14f) [0x80d4e0f]
   #1 winbindd(smb_panic+0x27) [0x80d4cb7]
   #2 winbindd [0x80c00f8]
   #3 /lib/tls/libc.so.6 [0xb73b3de8]
   #4 /lib/tls/libc.so.6(abort+0x1d5) [0xb73b5415]
   #5 winbindd [0x80f948b]
   #6 winbindd [0x80f96f9]
   #7 winbindd(cli_krb5_get_ticket+0x1f2) [0x80f9b42]
   #8 winbindd(spnego_gen_negTokenTarg+0x53) [0x80fa823]
   #9 winbindd [0x818a68a]
   #10 winbindd [0x818a9ae]
   #11 winbindd(ads_sasl_bind+0x150) [0x818b1b0]
   #12 winbindd(ads_connect+0x1d7) [0x8185117]
   #13 winbindd [0x808570b]
   #14 winbindd [0x80880cd]
   #15 winbindd [0x8078753]
   #16 winbindd [0x8078977]
   #17 winbindd [0x807a25b]
   #18 winbindd(winbindd_lookup_sid_by_name+0x74) [0x8075d44]
   #19 winbindd(winbindd_getpwnam+0x24d) [0x806fe4d]
   #20 winbindd(strftime+0x1510) [0x806e418]
   #21 winbindd(winbind_process_packet+0x2f) [0x806e76f]
   #22 winbindd(strftime+0x21eb) [0x806f0f3]
   #23 winbindd(main+0x438) [0x806f6b8]
   #24 /lib/tls/libc.so.6(__libc_start_main+0xf8) [0xb73a1768]
   #25 winbindd(ldap_msgfree+0x79) [0x806db31]

It's been stable after restart (2hrs so far).

Here is my smb.conf file (I replaced company specific information 
with 'confidential':
#smb.conf for confidential

#domain name
	workgroup = confidential
#netbios name
	netbios name = confidential
#server string
	server string = %L
#hosts allowed to connecto to server
	hosts allow = confidential
#realm
	realm = confidential
#winbind separator 
	winbind separator = /
#user id's
	idmap uid = 25000-60000
#group id's
	idmap gid = 25000-60000
#allow winbind to enum users
	winbind cache time = 60
	winbind enum users = yes
	winbind enum groups = yes
	security = ads
	password server = confidential
	encrypt passwords = yes
	local master = no
	os level = 1
	wins server = confidential
	domain master = no
	wins support = no
	preferred master = no
	domain logons = no
#logs section
	log file = /var/log/samba/%m.log
	max log size = 5000
# Authentication protocols
	lanman auth = no
	client NTLMv2 auth = yes
	client lanman auth = no
	client plaintext auth = no
	kernel oplocks = yes
	allow trusted domains = no
[shared]
	path = /Data/shared
	comment = confidential
	writable = yes
	nt acl support = yes
	admin users = confidential
	force group = confidential
	inherit permissions = yes
[Departments]
	path = /Data/shared/Departments
	comment = confidential
	writable = yes
	nt acl support = yes
	admin users = "confidential"
	force group = "confidential"
	inherit permissions = yes
[ETC]
	path = /Data/shared/ETC
	comment = "confidential"
	nt acl support = yes
	admin users = "confidential"
	force group = "confidential"
	inherit permissions = yes
[IBM]
	path = /Data/shared/IBM
	comment = "confidential"
	nt acl support = yes
	admin users = "confidential"
	force group = "confidential"
	inherit permissions = yes
[ITOOLS]
	path = /Data/shared/ITOOLS
	comment = "confidential"
	nt acl support = yes
	admin users = "confidential"
	force group = "confidential"
	inherit permissions = yes
[MOTOROLA]
	path = /Data/shared/MOTOROLA
	comment = "confidential"
	nt acl support = yes
	admin users = "confidential"
	force group = "confidential"
	inherit permissions = yes
[PGOODS]
	path = /Data/shared/PGOODS
	comment = "confidential"
	nt acl support = yes
	admin users = "confidential"
	force group = "confidential"
	inherit permissions = yes
[qa]
	path = /Data/shared/qa
	comment = "confidential"
	nt acl support = yes
	admin users = "confidential"
	force group = "confidential"
	inherit permissions = yes
[usability]
	path = /Data/shared/usability
	comment = "confidential"
	nt acl support = yes
	admin users = "confidential"
	force group = "confidential"
	inherit permissions = yes
[INTERXFER]
	path = /Data/shared/INTERXFER
	comment = "confidential"
	nt acl support = yes
	admin users = "confidential"
	force group = "confidential"
	inherit permissions = yes
Comment 1 Gerald (Jerry) Carter 2004-08-20 15:58:36 UTC
please either retest samba 3.0.6 or try to get a 
full backtrace (build smbd with -g for debugging symbols)
so I can verify if this has already been fixed or not.
Thanks.
Comment 2 Gerald (Jerry) Carter 2005-02-05 07:57:36 UTC
please retest against 3.0.11 and reopen if necessary.  Also reset 
the version if you reopen the bug report.  Thanks.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:18:38 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.